package com.eactive.eai.adapter.socket2.protocol.seed;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterServer;
import com.eactive.eai.adapter.socket2.protocol.fixedheader.codec.FixedHeaderCodecFactory;
import com.eactive.eai.adapter.socket2.protocol.seed.handshake.SeedServerFilter;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class SeedServer extends TcpAdapterServer {
	public SeedServer(SocketAdapterContext context) throws Exception {
		super(context);

		this.handler = new SeedHandler(this);
		
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new FixedHeaderCodecFactory(this)));
		config.getFilterChain().addAfter("codec", "seed", new SeedServerFilter(this));
	}
}
